---------------------------------------------------------------
-- Camera.lua: Action camera wrapper
---------------------------------------------------------------

local _, db, cfg = ...
---------------------------------------------------------------
UIParent:UnregisterEvent('EXPERIMENTAL_CVAR_CONFIRMATION_NEEDED')

function ConsolePort:LoadCameraSettings()
	if not IsAddOnLoaded('DynamicCam') then
		cfg = db.Mouse
		if cfg and cfg.Camera then
			for cvar, val in pairs(cfg.Camera) do
				ConsoleExec(cvar .. ' ' .. tostring(val))	
			end
		end
	end
end

-- Cvars that can be tapped:
-- test_cameraHeadMovementStrength
-- test_cameraHeadMovementRangeScale
-- test_cameraHeadMovementMovingStrength
-- test_cameraHeadMovementStandingStrength
-- test_cameraHeadMovementMovingDampRate
-- test_cameraHeadMovementStandingDampRate
-- test_cameraHeadMovementFirstPersonDampRate
-- test_cameraHeadMovementDeadZone
-- test_cameraDynamicPitch
-- test_cameraDynamicPitchBaseFovPad
-- test_cameraDynamicPitchBaseFovPadFlying
-- test_cameraDynamicPitchBaseFovPadDownScale
-- test_cameraDynamicPitchSmartPivotCutoffDist
-- test_cameraLockedTargetFocusing
-- cameraZoomSpeed
-- cameraDistanceRateMult
-- cameraPitchMoveSpeed
-- cameraYawMoveSpeed
-- cameraBobbingSmoothSpeed
-- cameraFoVSmoothSpeed
-- cameraGroundSmoothSpeed
-- cameraPitchSmoothSpeed
-- cameraTargetSmoothSpeed
-- cameraYawSmoothSpeed
-- cameraViewBlendStyle
-- cameraView
-- cameraDistance
-- cameraPitch
-- cameraYaw
-- cameraDistanceA
-- cameraPitchA
-- cameraYawA
-- cameraDistanceB
-- cameraPitchB
-- cameraYawB
-- cameraDistanceC
-- cameraPitchC
-- cameraYawC
-- cameraDistanceD
-- cameraPitchD
-- cameraYawD
-- cameraDistanceE
-- cameraPitchE
-- cameraYawE
-- cameraDistanceCom
-- cameraPitchCom
-- cameraYawCom
-- cameraDistanceBarberShop
-- cameraPitchBarberShop
-- cameraYawBarberShop
-- cameraDistanceSelfie
-- cameraPitchSelfie
-- cameraYawSelfie
-- cameraSmooth
-- cameraSmoothPitch
-- cameraSmoothYaw
-- cameraSmoothStyle
-- cameraSmoothTrackingStyle
-- cameraCustomViewSmoothing
-- cameraSmoothNeverIdleDelay
-- cameraSmoothNeverIdleFactor
-- cameraSmoothNeverStopDelay
-- cameraSmoothNeverStopFactor
-- cameraSmoothNeverTrackDelay
-- cameraSmoothNeverTrackFactor
-- cameraSmoothNeverMoveDelay
-- cameraSmoothNeverMoveFactor
-- cameraSmoothNeverStrafeDelay
-- cameraSmoothNeverStrafeFactor
-- cameraSmoothNeverTurnDelay
-- cameraSmoothNeverTurnFactor
-- cameraSmoothNeverFearDelay
-- cameraSmoothNeverFearFactor
-- cameraSmoothViewDataNeverDistanceDelay
-- cameraSmoothViewDataNeverDistanceFactor
-- cameraSmoothViewDataNeverPitchDelay
-- cameraSmoothViewDataNeverPitchFactor
-- cameraSmoothViewDataNeverYawDelay
-- cameraSmoothViewDataNeverYawFactor
-- cameraTerrainTiltNeverFallAbsorb
-- cameraTerrainTiltNeverFallDelay
-- cameraTerrainTiltNeverFallFactor
-- cameraTerrainTiltNeverFearAbsorb
-- cameraTerrainTiltNeverFearDelay
-- cameraTerrainTiltNeverFearFactor
-- cameraTerrainTiltNeverIdleAbsorb
-- cameraTerrainTiltNeverIdleDelay
-- cameraTerrainTiltNeverIdleFactor
-- cameraTerrainTiltNeverJumpAbsorb
-- cameraTerrainTiltNeverJumpDelay
-- cameraTerrainTiltNeverJumpFactor
-- cameraTerrainTiltNeverMoveAbsorb
-- cameraTerrainTiltNeverMoveDelay
-- cameraTerrainTiltNeverMoveFactor
-- cameraTerrainTiltNeverStrafeAbsorb
-- cameraTerrainTiltNeverStrafeDelay
-- cameraTerrainTiltNeverStrafeFactor
-- cameraTerrainTiltNeverSwimAbsorb
-- cameraTerrainTiltNeverSwimDelay
-- cameraTerrainTiltNeverSwimFactor
-- cameraTerrainTiltNeverTaxiAbsorb
-- cameraTerrainTiltNeverTaxiDelay
-- cameraTerrainTiltNeverTaxiFactor
-- cameraTerrainTiltNeverTrackAbsorb
-- cameraTerrainTiltNeverTrackDelay
-- cameraTerrainTiltNeverTrackFactor
-- cameraTerrainTiltNeverTurnAbsorb
-- cameraTerrainTiltNeverTurnDelay
-- cameraTerrainTiltNeverTurnFactor
-- cameraSmoothSmartIdleDelay
-- cameraSmoothSmartIdleFactor
-- cameraSmoothSmartStopDelay
-- cameraSmoothSmartStopFactor
-- cameraSmoothSmartTrackDelay
-- cameraSmoothSmartTrackFactor
-- cameraSmoothSmartMoveDelay
-- cameraSmoothSmartMoveFactor
-- cameraSmoothSmartStrafeDelay
-- cameraSmoothSmartStrafeFactor
-- cameraSmoothSmartTurnDelay
-- cameraSmoothSmartTurnFactor
-- cameraSmoothSmartFearDelay
-- cameraSmoothSmartFearFactor
-- cameraSmoothViewDataSmartDistanceDelay
-- cameraSmoothViewDataSmartDistanceFactor
-- cameraSmoothViewDataSmartPitchDelay
-- cameraSmoothViewDataSmartPitchFactor
-- cameraSmoothViewDataSmartYawDelay
-- cameraSmoothViewDataSmartYawFactor
-- cameraTerrainTiltSmartFallAbsorb
-- cameraTerrainTiltSmartFallDelay
-- cameraTerrainTiltSmartFallFactor
-- cameraTerrainTiltSmartFearAbsorb
-- cameraTerrainTiltSmartFearDelay
-- cameraTerrainTiltSmartFearFactor
-- cameraTerrainTiltSmartIdleAbsorb
-- cameraTerrainTiltSmartIdleDelay
-- cameraTerrainTiltSmartIdleFactor
-- cameraTerrainTiltSmartJumpAbsorb
-- cameraTerrainTiltSmartJumpDelay
-- cameraTerrainTiltSmartJumpFactor
-- cameraTerrainTiltSmartMoveAbsorb
-- cameraTerrainTiltSmartMoveDelay
-- cameraTerrainTiltSmartMoveFactor
-- cameraTerrainTiltSmartStrafeAbsorb
-- cameraTerrainTiltSmartStrafeDelay
-- cameraTerrainTiltSmartStrafeFactor
-- cameraTerrainTiltSmartSwimAbsorb
-- cameraTerrainTiltSmartSwimDelay
-- cameraTerrainTiltSmartSwimFactor
-- cameraTerrainTiltSmartTaxiAbsorb
-- cameraTerrainTiltSmartTaxiDelay
-- cameraTerrainTiltSmartTaxiFactor
-- cameraTerrainTiltSmartTrackAbsorb
-- cameraTerrainTiltSmartTrackDelay
-- cameraTerrainTiltSmartTrackFactor
-- cameraTerrainTiltSmartTurnAbsorb
-- cameraTerrainTiltSmartTurnDelay
-- cameraTerrainTiltSmartTurnFactor
-- cameraSmoothAlwaysIdleDelay
-- cameraSmoothAlwaysIdleFactor
-- cameraSmoothAlwaysStopDelay
-- cameraSmoothAlwaysStopFactor
-- cameraSmoothAlwaysTrackDelay
-- cameraSmoothAlwaysTrackFactor
-- cameraSmoothAlwaysMoveDelay
-- cameraSmoothAlwaysMoveFactor
-- cameraSmoothAlwaysStrafeDelay
-- cameraSmoothAlwaysStrafeFactor
-- cameraSmoothAlwaysTurnDelay
-- cameraSmoothAlwaysTurnFactor
-- cameraSmoothAlwaysFearDelay
-- cameraSmoothAlwaysFearFactor
-- cameraSmoothViewDataAlwaysDistanceDelay
-- cameraSmoothViewDataAlwaysDistanceFactor
-- cameraSmoothViewDataAlwaysPitchDelay
-- cameraSmoothViewDataAlwaysPitchFactor
-- cameraSmoothViewDataAlwaysYawDelay
-- cameraSmoothViewDataAlwaysYawFactor
-- cameraTerrainTiltAlwaysFallAbsorb
-- cameraTerrainTiltAlwaysFallDelay
-- cameraTerrainTiltAlwaysFallFactor
-- cameraTerrainTiltAlwaysFearAbsorb
-- cameraTerrainTiltAlwaysFearDelay
-- cameraTerrainTiltAlwaysFearFactor
-- cameraTerrainTiltAlwaysIdleAbsorb
-- cameraTerrainTiltAlwaysIdleDelay
-- cameraTerrainTiltAlwaysIdleFactor
-- cameraTerrainTiltAlwaysJumpAbsorb
-- cameraTerrainTiltAlwaysJumpDelay
-- cameraTerrainTiltAlwaysJumpFactor
-- cameraTerrainTiltAlwaysMoveAbsorb
-- cameraTerrainTiltAlwaysMoveDelay
-- cameraTerrainTiltAlwaysMoveFactor
-- cameraTerrainTiltAlwaysStrafeAbsorb
-- cameraTerrainTiltAlwaysStrafeDelay
-- cameraTerrainTiltAlwaysStrafeFactor
-- cameraTerrainTiltAlwaysSwimAbsorb
-- cameraTerrainTiltAlwaysSwimDelay
-- cameraTerrainTiltAlwaysSwimFactor
-- cameraTerrainTiltAlwaysTaxiAbsorb
-- cameraTerrainTiltAlwaysTaxiDelay
-- cameraTerrainTiltAlwaysTaxiFactor
-- cameraTerrainTiltAlwaysTrackAbsorb
-- cameraTerrainTiltAlwaysTrackDelay
-- cameraTerrainTiltAlwaysTrackFactor
-- cameraTerrainTiltAlwaysTurnAbsorb
-- cameraTerrainTiltAlwaysTurnDelay
-- cameraTerrainTiltAlwaysTurnFactor
-- cameraSmoothSplineIdleDelay
-- cameraSmoothSplineIdleFactor
-- cameraSmoothSplineStopDelay
-- cameraSmoothSplineStopFactor
-- cameraSmoothSplineTrackDelay
-- cameraSmoothSplineTrackFactor
-- cameraSmoothSplineMoveDelay
-- cameraSmoothSplineMoveFactor
-- cameraSmoothSplineStrafeDelay
-- cameraSmoothSplineStrafeFactor
-- cameraSmoothSplineTurnDelay
-- cameraSmoothSplineTurnFactor
-- cameraSmoothSplineFearDelay
-- cameraSmoothSplineFearFactor
-- cameraSmoothViewDataSplineDistanceDelay
-- cameraSmoothViewDataSplineDistanceFactor
-- cameraSmoothViewDataSplinePitchDelay
-- cameraSmoothViewDataSplinePitchFactor
-- cameraSmoothViewDataSplineYawDelay
-- cameraSmoothViewDataSplineYawFactor
-- cameraTerrainTiltSplineFallAbsorb
-- cameraTerrainTiltSplineFallDelay
-- cameraTerrainTiltSplineFallFactor
-- cameraTerrainTiltSplineFearAbsorb
-- cameraTerrainTiltSplineFearDelay
-- cameraTerrainTiltSplineFearFactor
-- cameraTerrainTiltSplineIdleAbsorb
-- cameraTerrainTiltSplineIdleDelay
-- cameraTerrainTiltSplineIdleFactor
-- cameraTerrainTiltSplineJumpAbsorb
-- cameraTerrainTiltSplineJumpDelay
-- cameraTerrainTiltSplineJumpFactor
-- cameraTerrainTiltSplineMoveAbsorb
-- cameraTerrainTiltSplineMoveDelay
-- cameraTerrainTiltSplineMoveFactor
-- cameraTerrainTiltSplineStrafeAbsorb
-- cameraTerrainTiltSplineStrafeDelay
-- cameraTerrainTiltSplineStrafeFactor
-- cameraTerrainTiltSplineSwimAbsorb
-- cameraTerrainTiltSplineSwimDelay
-- cameraTerrainTiltSplineSwimFactor
-- cameraTerrainTiltSplineTaxiAbsorb
-- cameraTerrainTiltSplineTaxiDelay
-- cameraTerrainTiltSplineTaxiFactor
-- cameraTerrainTiltSplineTrackAbsorb
-- cameraTerrainTiltSplineTrackDelay
-- cameraTerrainTiltSplineTrackFactor
-- cameraTerrainTiltSplineTurnAbsorb
-- cameraTerrainTiltSplineTurnDelay
-- cameraTerrainTiltSplineTurnFactor
-- cameraSmoothSmarterIdleDelay
-- cameraSmoothSmarterIdleFactor
-- cameraSmoothSmarterStopDelay
-- cameraSmoothSmarterStopFactor
-- cameraSmoothSmarterTrackDelay
-- cameraSmoothSmarterTrackFactor
-- cameraSmoothSmarterMoveDelay
-- cameraSmoothSmarterMoveFactor
-- cameraSmoothSmarterStrafeDelay
-- cameraSmoothSmarterStrafeFactor
-- cameraSmoothSmarterTurnDelay
-- cameraSmoothSmarterTurnFactor
-- cameraSmoothSmarterFearDelay
-- cameraSmoothSmarterFearFactor
-- cameraSmoothViewDataSmarterDistanceDelay
-- cameraSmoothViewDataSmarterDistanceFactor
-- cameraSmoothViewDataSmarterPitchDelay
-- cameraSmoothViewDataSmarterPitchFactor
-- cameraSmoothViewDataSmarterYawDelay
-- cameraSmoothViewDataSmarterYawFactor
-- cameraTerrainTiltSmarterFallAbsorb
-- cameraTerrainTiltSmarterFallDelay
-- cameraTerrainTiltSmarterFallFactor
-- cameraTerrainTiltSmarterFearAbsorb
-- cameraTerrainTiltSmarterFearDelay
-- cameraTerrainTiltSmarterFearFactor
-- cameraTerrainTiltSmarterIdleAbsorb
-- cameraTerrainTiltSmarterIdleDelay
-- cameraTerrainTiltSmarterIdleFactor
-- cameraTerrainTiltSmarterJumpAbsorb
-- cameraTerrainTiltSmarterJumpDelay
-- cameraTerrainTiltSmarterJumpFactor
-- cameraTerrainTiltSmarterMoveAbsorb
-- cameraTerrainTiltSmarterMoveDelay
-- cameraTerrainTiltSmarterMoveFactor
-- cameraTerrainTiltSmarterStrafeAbsorb
-- cameraTerrainTiltSmarterStrafeDelay
-- cameraTerrainTiltSmarterStrafeFactor
-- cameraTerrainTiltSmarterSwimAbsorb
-- cameraTerrainTiltSmarterSwimDelay
-- cameraTerrainTiltSmarterSwimFactor
-- cameraTerrainTiltSmarterTaxiAbsorb
-- cameraTerrainTiltSmarterTaxiDelay
-- cameraTerrainTiltSmarterTaxiFactor
-- cameraTerrainTiltSmarterTrackAbsorb
-- cameraTerrainTiltSmarterStrafeFactor
-- cameraTerrainTiltSmarterSwimAbsorb
-- cameraTerrainTiltSmarterSwimDelay
-- cameraTerrainTiltSmarterSwimFactor
-- cameraTerrainTiltSmarterTaxiAbsorb
-- cameraTerrainTiltSmarterTaxiDelay
-- cameraTerrainTiltSmarterTaxiFactor
-- cameraTerrainTiltSmarterTrackAbsorb
-- cameraTerrainTiltSmarterTrackDelay
-- cameraTerrainTiltSmarterTrackFactor
-- cameraTerrainTiltSmarterTurnAbsorb
-- cameraTerrainTiltSmarterTurnDelay
-- cameraTerrainTiltSmarterTurnFactor
-- cameraZDamp
-- cameraTerrainTilt
-- cameraTerrainTiltTimeMin
-- cameraTerrainTiltTimeMax
-- cameraWaterCollision
-- cameraHeightIgnoreStandState
-- cameraPivot
-- cameraPivotDXMax
-- cameraPivotDYMin
-- cameraDive
-- cameraSurfacePitch
-- cameraSubmergePitch
-- cameraDistanceMaxZoomFactor
-- cameraPitchSmoothMin
-- cameraPitchSmoothMax
-- cameraYawSmoothMin
-- cameraYawSmoothMax
-- cameraSmoothTimeMin
-- cameraSmoothTimeMax
-- cameraSavedDistance
-- cameraSavedVehicleDistance
-- cameraSavedPetBattleDistance
-- cameraSavedPitch
